Subject: [bug#32818] [PATCH] gnu: Add petsc-mumps-openmpi.

From: Paul Garlick <[email-masked]>
Date: Tue, 25 Sep 2018 14:40:52 +0100

Hi Eric,

> I don't see why we'd add this as a new package, rather than simply
> adjust the capabilities/inputs of the "petsc-openmpi" package.

Yes, that was my Plan A.  However, I spotted that the package dealii-
openmpi has petsc-openmpi as an input but also mumps-metis-openmpi,
instead of mumps-openmpi.  If the mumps configuration in petsc-mumps-
openmpi is included in petsc-openmpi then dealii-openmpi may not build.
 WDYT?

> I believe PETSc's configure script will handle much of the flags on
> its
> own if it's provided with "--with-metis", "--with-scotch",
> "--with-mumps", "--with-scalapack" flags.

This would be handy for sure.  I will give it a try.

Best regards,

Paul.